javax.persistence

## Annotation Type PersistenceProperty

    @Target(value={})
     @Retention(value=RUNTIME)
    public @interface PersistenceProperty

Describes a single container or persistence provider property. Used in `PersistenceContext`.

Vendor specific properties may be included in the set of properties, and are passed to the persistence provider by the container when the entity manager is created. Properties that are not recognized by a vendor will be ignored.

Since:
  Java Persistence 1.0

### Required Element Summary

Required Elements
`java.lang.String` `name` The name of the property
`java.lang.String` `value` The value of the property

### Element Detail

#### name

    public abstract java.lang.String name

The name of the property

#### value

    public abstract java.lang.String value

The value of the property